language: go
go_import_path: github.com/vouch/vouch-proxy

sudo: false

services:
  - docker

go:
  - "1.16"

env:
  - ISTRAVIS=true

before_install:
  - sudo apt-get install openssl
  - ./do.sh goget
  # - go get github.com/golang/lint/golint # Linter
  # - go get github.com/fzipp/gocyclo

script:
  # TODO: enable gofmt
  # - gofmt -w -s . && git diff --exit-code
  - ./do.sh build
  - ./do.sh test
#  - docker build -t $TRAVIS_REPO_SLUG .

#deploy:
#  - provider: script
#    skip_cleanup: true
#    script: bash .travis/docker_push
#    on:
#      go: "1.10"
#      branch: master
#  - provider: script
#    skip_cleanup: true
#    script: bash .travis/docker_push
#    on:
#      go: "1.10"
#      tags: true
#
notifications:
  irc: "irc.libera.chat#vouch"
